%define anolis_release 1
Name:		xcb-util-keysyms
Version:	0.4.1
Release:	%{anolis_release}%{?dist}
Summary:	Standard X key constants and keycodes conversion on top of libxcb
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	make
BuildRequires:  gcc
BuildRequires:	pkgconfig(xcb) >= 1.4
BuildRequires:	pkgconfig(xproto) >= 7.0.8

%description
XCB util-keysyms module provides the following library:

  - keysyms: Standard X key constants and conversion to/from keycodes.


%package 	devel
Summary:	Development and header files for xcb-util-keysyms
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-keysyms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
%make_build check

%install
%make_install

%files
%{_libdir}/*.so.*

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h

%files doc
%doc README.md NEWS

%changelog
* Fri Nov 18 2022 Funda Wang <fundawang@yeah.net> - 0.4.1-1
- New version 0.4.1

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-2
- add doc package

* Wed Jul 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-1
- Init from upstream version 0.4.0
